/* -*- c++ -*- */
/* 
 * Copyright 2018 Ingo D. Rullhusen <d01c@freeshell.de>.
 * 
 * This is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3, or (at your option)
 * any later version.
 * 
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this software; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street,
 * Boston, MA 02110-1301, USA.
 */

#ifndef PLPSLICE_H
#define PLPSLICE_H


#include "L1Post.h"


typedef struct {
   unsigned int start;
   unsigned int length;

   unsigned int frame_idx;
   unsigned int sub_slice_idx;
   unsigned int Nsubslices;
   unsigned int N_BLOCKS_IF;

   L1Pplp l1plp;

} PLPslice;


void setup_PLPslicetag( pmt::pmt_t &SliceTagValue, const PLPslice &plpslice );

void setup_PLPslice( PLPslice &plpslice, const pmt::pmt_t &SliceTagValue );


#endif
