/* -*- c++ -*- */
/* 
 * Copyright 2019 Ingo D. Rullhusen <d01c@freeshell.de>.
 * 
 * This is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3, or (at your option)
 * any later version.
 * 
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this software; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street,
 * Boston, MA 02110-1301, USA.
 */

#ifndef DVB_T2X_TABLES_HH
#define DVB_T2X_TABLES_HH

struct DVB_T2X_TABLE_NULL
{
  static const int M = 360;
  static const int N = 0;
  static const int K = 0;
  static const int LINKS_MIN_CN = 0;
  static const int LINKS_MAX_CN = 0;
  static const int LINKS_TOTAL = 0;
  static const int DEG_MAX = 0;
  static constexpr int DEG[] = { };
  static constexpr int LEN[] = { };
  static constexpr int POS[] = { };
};


#endif

