/* -*- c++ -*- */

#define DVBPARTS_API

%include "gnuradio.i"           // the common stuff

//load generated python docstrings
%include "DVBparts_swig_doc.i"

%{
#include "DVBparts/BB2payload.h"
#include "DVBparts/BBdescrambler.h"
#include "DVBparts/bch_decoder.h"
#include "DVBparts/bit_deinterleaver.h"
#include "DVBparts/cell_deinterleaver.h"
#include "DVBparts/demodulator_soft.h"
#include "DVBparts/demodulator.h"
#include "DVBparts/L1-Post.h"
#include "DVBparts/L1-Pre.h"
#include "DVBparts/ldpc_decoder_soft.h"
#include "DVBparts/ldpc_decoder.h"
#include "DVBparts/P1_Detect.h"
#include "DVBparts/P1_Validate.h"
#include "DVBparts/parity_deinterleaver.h"
#include "DVBparts/pilot_remove_renorm.h"
#include "DVBparts/PLPselector.h"
#include "DVBparts/time_deinterleaver.h"
#include "DVBparts/xcopy.h"
%}

%include "DVBparts/BB2payload.h"
GR_SWIG_BLOCK_MAGIC2(DVBparts, BB2payload);
%include "DVBparts/BBdescrambler.h"
GR_SWIG_BLOCK_MAGIC2(DVBparts, BBdescrambler);
%include "DVBparts/bch_decoder.h"
GR_SWIG_BLOCK_MAGIC2(DVBparts, bch_decoder);
%include "DVBparts/bit_deinterleaver.h"
GR_SWIG_BLOCK_MAGIC2(DVBparts, bit_deinterleaver);
%include "DVBparts/cell_deinterleaver.h"
GR_SWIG_BLOCK_MAGIC2(DVBparts, cell_deinterleaver);
%include "DVBparts/demodulator_soft.h"
GR_SWIG_BLOCK_MAGIC2(DVBparts, demodulator_soft);
%include "DVBparts/demodulator.h"
GR_SWIG_BLOCK_MAGIC2(DVBparts, demodulator);

%include "DVBparts/L1-Post.h"
GR_SWIG_BLOCK_MAGIC2(DVBparts, L1_Post);

%include "DVBparts/L1-Pre.h"
GR_SWIG_BLOCK_MAGIC2(DVBparts, L1_Pre);

%include "DVBparts/ldpc_decoder_soft.h"
GR_SWIG_BLOCK_MAGIC2(DVBparts, ldpc_decoder_soft);
%include "DVBparts/ldpc_decoder.h"
GR_SWIG_BLOCK_MAGIC2(DVBparts, ldpc_decoder);
%include "DVBparts/P1_Detect.h"
GR_SWIG_BLOCK_MAGIC2(DVBparts, P1_Detect);
%include "DVBparts/P1_Validate.h"
GR_SWIG_BLOCK_MAGIC2(DVBparts, P1_Validate);
%include "DVBparts/parity_deinterleaver.h"
GR_SWIG_BLOCK_MAGIC2(DVBparts, parity_deinterleaver);
%include "DVBparts/pilot_remove_renorm.h"
GR_SWIG_BLOCK_MAGIC2(DVBparts, pilot_remove_renorm);
%include "DVBparts/PLPselector.h"
GR_SWIG_BLOCK_MAGIC2(DVBparts, PLPselector);
%include "DVBparts/time_deinterleaver.h"
GR_SWIG_BLOCK_MAGIC2(DVBparts, time_deinterleaver);

%include "DVBparts/xcopy.h"
GR_SWIG_BLOCK_MAGIC2(DVBparts, xcopy);
